//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Drawing;

using nispi;

namespace nispi.OptionControl
{
    partial class OutWardListData : CommonInEvent
    {
        //選択セルの文字色
        public byte LVSelectForeColorRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVSelectForeColorRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVSelectForeColorRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte LVSelectForeColorGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVSelectForeColorGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVSelectForeColorGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte LVSelectForeColorBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVSelectForeColorBlue = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVSelectForeColorBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }

        //選択セルの背景
        public byte LVSelectBackColorRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVSelectBackColorRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVSelectBackColorRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte LVSelectBackColorGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVSelectBackColorGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVSelectBackColorGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte LVSelectBackColorBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVSelectBackColorBlue = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVSelectBackColorBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }
        //カラムの文字色
        public byte LVColmunForeColorRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVColmunForeColorRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVColmunForeColorRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte LVColmunForeColorGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVColmunForeColorGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVColmunForeColorGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }

        public byte LVColmunForeColorBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVColmunForeColorBlue = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVColmunForeColorBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }
        //カラムの背景
        public byte LVColmunBackColorRed
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVColmunBackColorRed = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVColmunBackColorRed;
                mutex.ReleaseMutex();
                return data;
            }
        }
        public byte LVColmunBackColorGreen
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVColmunBackColorGreen = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVColmunBackColorGreen;
                mutex.ReleaseMutex();
                return data;
            }
        }

        public byte LVColmunBackColorBlue
        {
            set
            {
                //if (CheckBool(value) == false) return;
                mutex.WaitOne();
                this.lVColmunBackColorBlue = value;
                mutex.ReleaseMutex();
            }
            get
            {
                mutex.WaitOne();
                byte data = this.lVColmunBackColorBlue;
                mutex.ReleaseMutex();
                return data;
            }
        }
    }
}
